Adds or updates person field definitions on the given account.

If you pass in a FieldDefRequest object without an "id" this endpoint will add a new one to the account if the name isn't reserved or in use.

If you pass in a FieldDefRequest object with an "id" this endpoint will update an existing one that matches the id.

To add a value or multiple values to a selection list you must pass an array of "definedValues" that contain objects with a "definedValue" property of the value you want to add.

To update a value or multiple values in a selection list you must pass an array of "definedValues" that contain objects with a "valueId" property of the value id to update and a "definedValue" property of the value you want to update it to.

To remove a value or multiple values from a selection list you must pass an array of "definedValues" that contain objects with a "valueId" property of the value id to remove, a "definedValue" property of the value you want to remove, and a "forRemoval" property set to true.

Example: You have a list of "Years" and you want to change "5" to "5-9" and remove values "6" through "9" and add a value of "10+"
[
NOTE: There are a few reserved field names that cannot be used.

"Person ID","Photo","Name","Title","Next Availability","Current Project","Issues","Email","Hire Date","Termination Date","Allocated People","Next project","Past projects","Next project start","Current project end","Notes","Certifications","Group", "Company Tenure", "Industry Tenure", "Industry Start Date"

Validation

Title: SingleSelect. A list where only 1 value can be selected. When creating the list, each value should be between 1 and 250 non-empty characters.

Title (Hourly): SingleSelect. A list where only 1 value can be selected. When creating the list, each value should be between 1 and 250 non-empty characters.

Skill Set: Multi List Selection. A list where 0 or more values can be selected. When creating the list, each value should be between 1 and 250 non-empty characters

Skill Set (Hourly): Multi List Selection. A list where 0 or more values can be selected. When creating the list, each value should be between 1 and 250 non-empty characters

Other: Free text. Max length: 2400

Home Address: Max length: 250

Cost Rate (hr): Currency. Should be greater or equal to zero, starts with 0 to 15 digits of 0-9 then optionally followed by . with 0 to 2 digits of 0-9

Employee ID: Free text. Max length: 250

Date: Format: dd/MM/yyyy

Checkbox: Accepted values: true or false


Permissions
Account: Write
Private: Read
Finance: Read

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Body Params
int64
required
string
required
string
enum
required
definedValues
array of objects | null
definedValues
boolean
required
boolean
required
boolean
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

400

Bad Request: Example when trying to set system fields to private that aren't allowed to be private:
{

401

Unauthorized

403

Forbidden

409

Conflict - Field definition with name already exists in the account or trying to add or update a field to a system field.

Example when trying to add a field that has the same name as an existing one:
{

422

Unprocessable Entity - Couldn't remove all defined values from list.

Example when trying to remove a defined value in use from a required list:
{

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json